/ lang / foreach
FOR EACH
Syntax

    FOR EACH Variable IN Expression
      ...
    NEXT

Repeats a loop while enumerating an object.

Expression must be a reference to an enumerable object: for example, a collection, or an array.

### Examples

    DIM Dict AS NEW Collection
    DIM Element AS String

    Dict["Blue"] = 3
    Dict["Red"] = 1
    Dict["Green"] = 2

    FOR EACH Element IN Dict
      PRINT Element;
    NEXT
    <hr>3 1 2

FOR EACH
Syntax

    FOR EACH Expression
      ...
    NEXT

This syntax must be used when Expression is a enumerable object that is not a real container: for example, the result of a database query.

    DIM Res AS Result

    Res = DB.Exec("SELECT * FROM MyTable")

    FOR EACH Res
      PRINT Res!Code; " "; Res!Name
    NEXT

| The order of the enumeration in not necessarily predictable. See the documentation of each enumerable class for more details on that.

### See also

Loop Control Structures Native Container Classes